Data Structures | Defines | Functions

# hotkeys.h File Reference

Hotkey related functions. More...

`#include "core/smallvec_type.hpp"`
`#include "gfx_type.h"`
`#include "window_type.h"`
`#include "string_type.h"`

Go to the source code of this file.

## Data Structures
struct | Hotkey
| All data for a single hotkey. More...
struct | HotkeyList
| List of hotkeys for a window. More...
## Defines
#define | HOTKEY_LIST_END Hotkey((uint16)0, NULL, -1)
## Functions
bool | IsQuitKey (uint16 keycode)
| Does the given keycode match one of the keycodes bound to 'quit game'?
void | LoadHotkeysFromConfig ()
| Load the hotkeys from the config file.
void | SaveHotkeysToConfig ()
| Save the hotkeys to the config file.
void | HandleGlobalHotkeys (WChar key, uint16 keycode)

## Detailed Description

Hotkey related functions.

Definition in file hotkeys.h.

## Function Documentation

bool IsQuitKey | ( | uint16 | keycode | ) |

Does the given keycode match one of the keycodes bound to 'quit game'?

Parameters:

  | keycode | The keycode that was pressed by the user.

Returns:
  True iff the keycode matches one of the hotkeys for 'quit'.

Definition at line 535 of file main_gui.cpp.

References HotkeyList::CheckMatch().

Referenced by EndGameHighScoreBaseWindow::OnKeyPress().